package com.fjhx.service.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.contract.ContractPay;
import com.fjhx.params.contract.ContractPayVo;
import com.fjhx.params.contract.DateStatisticsResult;
import com.fjhx.params.contract.SupplierStatisticsResult;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 合同付款 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-29
 */
public interface ContractPayService extends StorageBaseService<ContractPay> {

    void add(ContractPayVo contractPayVo);

    void edit(ContractPayVo contractPayVo);

    void delete(ContractPayVo contractPayVo);

    Map<Integer, DateStatisticsResult> dateStatistics();

    List<SupplierStatisticsResult> supplierStatistics(Condition condition);

    Map<String, Object> statusStatistics(Condition condition);

    Map<String, Object> cycleStatistics(Condition condition);

    Page<Map<String, Object>> getPage(Condition condition);

}
